# Banka / Yemek Uygulamaları

### Belirli Banka ve Yemek Kartı Uygulamalarına Yönlendirme

paymentItems içindeki ödemelerde, eğer o ödeme kredi kartı (type 3) veya yemek kartı (type 7) ise, cihazda yüklü olması şartıyla, belirli bir banka veya yemek kartı uygulamasına yönlendirilmesini sağlayabilirsiniz.

{% hint style="success" %}
Eğer **ÖKC harici bir cihaz üzerinden** yemek kartı ödemesi alınacaksa, ödemeyi yine aşağıdaki gibi yemek kartı uygulamasının operatorId'si ile göndererek doğrudan yemek kartı bilgi fişi çıkmasını sağlayabilirsiniz.
{% endhint %}

```json
"paymentItems": [
  {
    "amount": 1000, // 10 TL
    "type": 7, // Yemek Kartı
    "operatorId": 1005 // TokenFlex
  }
]
```

veya

```json
"paymentItems": [
  {
    "amount": 1000, // 10 TL
    "type": 3, // Kredi Kartı
    "operatorId": 67 // Yapı Kredi
  }
]
```

### Banka Uygulamaları OperatorId Listesi

| Banka                      | operatorId |
| -------------------------- | ---------- |
| App Temp (Test Uygulaması) | 0          |
| Yapı Kredi                 | 67         |
| Akbank                     | 46         |
| alBaraka                   |            |
| Anadolu Bank               | 135        |
| DenizBank                  |            |
| Fibabanka                  | 103        |
| Garanti                    | 62         |
| Halkbank                   | 12         |
| ING                        | 133        |
| ICBC                       |            |
| Şekerbank                  | 59         |
| TEB                        | 32         |
| Türkiye İş Bankası         | 64         |
| Türkiye Finans             | 206        |
| KuveytTürk                 | 205        |
| QNB                        | 111        |
| VakıfKatılım               | 210        |
| VakıfBank                  | 15         |
| Ziraat Katılım             |            |
| Ziraat Bankası             | 10         |

### Yemek Kartı Uygulamaları Operator Id Listesi

| Yemek Kartı                | Operator Id |
| -------------------------- | ----------- |
| App Temp (Test Uygulaması) | 1000        |
| TokenFlex                  | 1005        |
| EDENRED                    | 1001        |
| MULTINET                   | 1002        |
| SETCARD                    | 1003        |
| SODEXO                     | 1004        |
| METROPOL                   | 1006        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.tokeninc.com/token-developer-portal-1/x-platform/baslangic/banka-yemek-uygulamalari.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
